> ## Documentation Index
> Fetch the complete documentation index at: https://docs.financialdatasets.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Snapshot

> Get a real-time snapshot of current US interest rates including Fed Funds Rate, Treasury yields, and SOFR.

### Overview

The Interest Rates Snapshot API lets you pull the latest published interest rate data for all major central banks in the world.

We source our data directly from global central banks like the Federal Reserve, People's Bank of China, European Central Bank, Bank of Japan, and other major monetary authorities.  The real-time interest rate data comes from official monetary policy announcements.

To get started, please create an account and grab your <b>API key</b> at [financialdatasets.ai](https://financialdatasets.ai).

You will use the API key to authenticate your API requests.

### Coverage

| Central Banks | Years of Coverage | Updated |
| ------------- | ----------------- | ------- |
| 10            | Latest            | Daily   |

### Available Central Banks

You can fetch a list of available central banks with a `GET` request to:
[https://api.financialdatasets.ai/macro/interest-rates/banks/](https://api.financialdatasets.ai/macro/interest-rates/banks/)

### Getting Started

There are only 2 steps for making a successful API call:

1. Add your API key to the header of the request as `X-API-KEY`.
2. Execute the API request.

### Example

```python Interest Rates Snapshot theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
import requests

# add your API key to the headers
headers = {
    "X-API-KEY": "your_api_key_here"
}

# create the URL
url = 'https://api.financialdatasets.ai/macro/interest-rates/snapshot'

# make API request
response = requests.get(url, headers=headers)

# parse snapshot from the response
interest_rates = response.json().get('interest_rates')
```


## OpenAPI

````yaml GET /macro/interest-rates/snapshot
openapi: 3.0.1
info:
  title: Financial Datasets API
  description: >-
    Stock market API with real-time and historical financial data for 27,000+
    tickers over 30+ years. Financial statements, equity prices, insider trades,
    SEC filings, and more.
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    name: API Support
    url: mailto:support@financialdatasets.ai
    email: support@financialdatasets.ai
  termsOfService: https://financialdatasets.ai/terms-of-use
servers:
  - url: https://api.financialdatasets.ai/
    description: Production server
security:
  - X-API-KEY: []
tags:
  - name: Financial Statements
    description: Access to income statements, balance sheets, and cash flow statements
  - name: Market Data
    description: Real-time and historical price data
  - name: Company Information
    description: Company facts like ticker, name, and description
  - name: Earnings
    description: Earnings data and related information
  - name: News
    description: Real-time and historical news articles
  - name: SEC Filings
    description: SEC filings and regulatory documents
  - name: Insider Trades
    description: Insider trading activity and transactions
  - name: Activist Ownership
    description: Activist stakes from SEC Schedule 13D filings, in real time
  - name: Beneficial Ownership
    description: >-
      Holders of more than 5% of a company's shares, from SEC Schedules 13D and
      13G
  - name: Insider Ownership
    description: Insider ownership statements from SEC Forms 3 and 5
  - name: Institutional Holdings
    description: SEC-direct 13F equity holdings of institutional investment managers
  - name: Index Funds
    description: >-
      ETF and index-fund holdings, weights, and the funds that hold a given
      security
  - name: Financial Metrics
    description: Financial ratios, metrics, and key performance indicators
  - name: Macroeconomics
    description: Real-time and historical macroeconomic data like interest rates
  - name: KPIs
    description: Sector-specific operational KPIs extracted from earnings releases.
paths:
  /macro/interest-rates/snapshot:
    get:
      tags:
        - Macroeconomics
      summary: Interest Rates (Real-Time)
      description: >-
        Get the current interest rates from all major central banks in the
        world.
      operationId: getInterestRatesSnapshot
      parameters:
        - name: bank
          in: query
          description: >-
            The central bank code (e.g., FED, ECB, BOJ). Use the
            /macro/interest-rates/banks endpoint to get a list of available
            banks.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Interest rates snapshot response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InterestRatesResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '402':
          $ref: '#/components/responses/PaymentRequiredError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    InterestRatesResponse:
      type: object
      properties:
        interest_rates:
          type: array
          items:
            $ref: '#/components/schemas/InterestRate'
    InterestRate:
      type: object
      properties:
        bank:
          type: string
          description: The symbol of the central bank.
        name:
          type: string
          description: The name of the central bank.
        rate:
          type: number
          description: The interest rate of the central bank.
        date:
          type: string
          description: The date of the interest rate in YYYY-MM-DD format.
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: A short error message.
        message:
          type: string
          description: A more detailed error message.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Unauthorized
            message: Invalid API key provided
    PaymentRequiredError:
      description: The request requires a paid subscription
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Payment Required
            message: >-
              This endpoint requires a paid subscription. Please upgrade your
              plan.
    NotFoundError:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Not Found
            message: Ticker XXXX not found
  securitySchemes:
    X-API-KEY:
      type: apiKey
      name: X-API-KEY
      description: API key for authentication.
      in: header

````